Bug 499214 - Review Request: gcolor2 - A simple color selector for GTK+2
Review Request: gcolor2 - A simple color selector for GTK+2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 12:05 EDT by Christoph Wickert
Modified: 2009-05-18 22:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 22:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-05-05 12:05:50 EDT
Spec URL: http://cwickert.fedorapeople.org/review/gcolor2.spec
SRPM URL: http://cwickert.fedorapeople.org/review/gcolor2-0.4-1.fc11.src.rpm
Description: gcolor2 is a simple color selector that was originally based on gcolor, ported to use GTK+2, and now has a completely new UI.
Comment 1 Fabian Affolter 2009-05-06 14:50:38 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F10/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint gcolor2-0.4-1.fc11.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 i386]$ rpmlint gcolor2*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
     spec file: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 223a126b8a87234d1552be4be4140789
     Build source:    223a126b8a87234d1552be4be4140789
 [x] Package is not known to require ExcludeArch
 [-] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [x] %{optflags} or RPM_OPT_FLAGS are honoured
 [x] No pre-built binaries (.a, .so*, executable)
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [x] -debuginfo subpackage is present and looks complete
 
 [x] Package contains a properly installed .desktop file if it is a GUI application
 [x] Follows desktop entry spec
 [x] Valid .desktop Name
 [x] Valid .desktop GenericName
 [x] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [x] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [x] Timestamps preserved with cp and install
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F10/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=1339014
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 2 Christoph Wickert 2009-05-06 15:06:27 EDT
Thanks for reviewing!

New Package CVS Request
=======================
Package Name: gcolor2
Short Description: Simple color selector for GTK+2
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-05-06 17:16:13 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-09 09:16:26 EDT
gcolor2-0.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gcolor2-0.4-1.fc11
Comment 5 Fedora Update System 2009-05-09 09:16:39 EDT
gcolor2-0.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gcolor2-0.4-1.fc10
Comment 6 Fedora Update System 2009-05-09 09:16:59 EDT
gcolor2-0.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gcolor2-0.4-1.fc9
Comment 7 Fedora Update System 2009-05-11 23:54:38 EDT
gcolor2-0.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gcolor2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4686
Comment 8 Fedora Update System 2009-05-12 00:00:28 EDT
gcolor2-0.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gcolor2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4759
Comment 9 Fedora Update System 2009-05-12 00:02:52 EDT
gcolor2-0.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gcolor2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4785
Comment 10 Fedora Update System 2009-05-18 22:01:02 EDT
gcolor2-0.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-18 22:13:19 EDT
gcolor2-0.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-18 22:13:32 EDT
gcolor2-0.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.